summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--zsh/.zshrc2
-rwxr-xr-xzsh/Zsh/tt20
2 files changed, 21 insertions, 1 deletions
diff --git a/zsh/.zshrc b/zsh/.zshrc
index 2ba834c..dfe7f8e 100644
--- a/zsh/.zshrc
+++ b/zsh/.zshrc
@@ -75,7 +75,7 @@ alias sudo='sudo '
alias icat="kitty icat"
alias py="python"
alias rename="perl-rename"
-alias tt="~/Scripts/ttzoom"
+alias tt="~/Zsh/tt"
# ┌──────────────────────────────────────────────────────────────┐
# │ 🎯 Prompt │
diff --git a/zsh/Zsh/tt b/zsh/Zsh/tt
new file mode 100755
index 0000000..f74cf10
--- /dev/null
+++ b/zsh/Zsh/tt
@@ -0,0 +1,20 @@
+#!/usr/bin/env bash
+
+# How much to zoom in
+ZOOM="+12"
+
+# Store current font size
+# ORIG_SIZE=$(kitty @ get-font-size)
+
+# Zoom in
+kitty @ set-font-size "$ZOOM"
+
+# Restore on exit
+restore_font() {
+ # kitty @ set-font-size "$ORIG_SIZE"
+ kitty @ set-font-size 10.5
+}
+trap restore_font EXIT
+
+# Run tt
+tt -notheme